Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class OrderOutStockRows
    Inherits BaseObject

    Private _OrderOutStockHeader As OrderOutStockHeader
    Private _Products As Products
    Private _StorageComputed As StorageComputed
    Private _StorageOutCirculation_PrevYear As StorageOutCirculation 'Fogyási mátrix előző év
    Private _StorageOutCirculation_CurrentYear As StorageOutCirculation 'Fogyási mátrix aktuális év
    Private _QTT_Minimum As Double 'Minimum mennyiség
    Private _QTT_Maximum As Double 'Feltöltés erre a mennyiségre
    Private _QTT_Arrived As Double 'Érkező tétel
    Private _QTT_OrderOut As Double 'Le nem zárt rendelési tétel
    Private _QTT_Offer As Double 'Ajánlott rendelési mennyiség
    Private _QTT_Process As Double 'Ezzel a mennyiséggel készíti majd el a rendelést
    Private _QTT_Offer_Minimum As Double 'Minimum mennyiség ajánlása
    Private _QTT_Offer_Maximum As Double 'Feltöltés erre a mennyiségre ajánlása
    Private _CustomersOrderPriority1 As CustomersOrderPriority 'Elsődleges beszállító
    Private _CustomersOrderPriority2 As CustomersOrderPriority 'Másodlagos beszállító


    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    <Association("OrderOutStockHeader-OrderOutStockRows", GetType(OrderOutStockHeader))> _
    Property OrderOutStockHeader As OrderOutStockHeader
        Get
            Return _OrderOutStockHeader
        End Get
        Set(value As OrderOutStockHeader)
            SetPropertyValue("OrderOutStockHeader", _OrderOutStockHeader, value)
        End Set
    End Property
    Property Products As Products
        Get
            Return _Products
        End Get
        Set(value As Products)
            SetPropertyValue("Products", _Products, value)
        End Set
    End Property
    Property StorageComputed As StorageComputed
        Get
            Return _StorageComputed
        End Get
        Set(value As StorageComputed)
            SetPropertyValue("StorageComputed", _StorageComputed, value)
        End Set
    End Property
    Property StorageOutCirculation_PrevYear As StorageOutCirculation
        Get
            Return _StorageOutCirculation_PrevYear
        End Get
        Set(value As StorageOutCirculation)
            SetPropertyValue("StorageOutCirculation_PrevYear", _StorageOutCirculation_PrevYear, value)
        End Set
    End Property
    Property StorageOutCirculation_CurrentYear As StorageOutCirculation
        Get
            Return _StorageOutCirculation_CurrentYear
        End Get
        Set(value As StorageOutCirculation)
            SetPropertyValue("StorageOutCirculation_CurrentYear", _StorageOutCirculation_CurrentYear, value)
        End Set
    End Property
    Property QTT_Minimum As Double
        Get
            Return _QTT_Minimum
        End Get
        Set(value As Double)
            SetPropertyValue("QTT_Minimum", _QTT_Minimum, value)
        End Set
    End Property
    Property QTT_Maximum As Double
        Get
            Return _QTT_Maximum
        End Get
        Set(value As Double)
            SetPropertyValue("QTT_Maximum", _QTT_Maximum, value)
        End Set
    End Property
    Property QTT_Arrived As Double
        Get
            Return _QTT_Arrived
        End Get
        Set(value As Double)
            SetPropertyValue("QTT_Arrived", _QTT_Arrived, value)
        End Set
    End Property
    Property QTT_OrderOut As Double
        Get
            Return _QTT_OrderOut
        End Get
        Set(value As Double)
            SetPropertyValue("QTT_OrderOut", _QTT_OrderOut, value)
        End Set
    End Property
    Property QTT_Offer As Double
        Get
            Return _QTT_Offer
        End Get
        Set(value As Double)
            SetPropertyValue("QTT_Offer", _QTT_Offer, value)
        End Set
    End Property
    Property QTT_Process As Double
        Get
            Return _QTT_Process
        End Get
        Set(value As Double)
            SetPropertyValue("QTT_Process", _QTT_Process, value)
        End Set
    End Property
    Property QTT_Offer_Minimum As Double
        Get
            Return _QTT_Offer_Minimum
        End Get
        Set(value As Double)
            SetPropertyValue("QTT_Offer_Minimum", _QTT_Offer_Minimum, value)
        End Set
    End Property
    Property QTT_Offer_Maximum As Double
        Get
            Return _QTT_Offer_Maximum
        End Get
        Set(value As Double)
            SetPropertyValue("QTT_Offer_Maximum", _QTT_Offer_Maximum, value)
        End Set
    End Property
    Property CustomersOrderPriority1 As CustomersOrderPriority
        Get
            Return _CustomersOrderPriority1
        End Get
        Set(value As CustomersOrderPriority)
            SetPropertyValue("CustomersOrderPriority1", _CustomersOrderPriority1, value)
        End Set
    End Property
    Property CustomersOrderPriority2 As CustomersOrderPriority
        Get
            Return _CustomersOrderPriority2
        End Get
        Set(value As CustomersOrderPriority)
            SetPropertyValue("CustomersOrderPriority2", _CustomersOrderPriority2, value)
        End Set
    End Property

End Class
